# Add keywords

```http
POST https://api.synup.com/api/v4/locations/keywords
```

This API allows you to add keywords that you want to track, for a specific location.

:::caution[]
 **Limitations:** The number of keywords that can be added for a location is subject to your subscription plan. Please consult the support team to determine the exact number applicable to your account.
:::

Source: https://developer.synup.com/api/rankings/add-keywords

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Content-Type` | string | required |  |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `locationId` | string | required |  |
| `inputKeywords` | array of string | required |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/locations/keywords' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "TG9jYXRpb246MTM5OTg=",
  "inputKeywords": [
    "road paving",
    "road building"
  ]
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` |  |
